import * as React from "react";
export var CatalogContext = React.createContext(undefined);
export var useCatalogContext = function () {
    var contextValue = React.useContext(CatalogContext);
    if (contextValue === undefined) {
        throw new Error("Tried to get a catalog context, but no context is available. \nPlease make sure to define a catalog component above this component in the react tree.");
    }
    return contextValue;
};
